Your machine image uses a container image. The Ansible playbooks pull a minimal set of container images for use. You can add or delete additional images by specifying an override file for the extra_images variable. Konvoy requires several additional images be present. Create a new override file and specify the following extra_images:

# Example override-images.yaml
---
extra_images:
  - docker.io/mesosphere/cluster-api-controller:v1.1.3-d2iq.5
  - docker.io/mesosphere/cluster-api-preprovisioned-controller:v0.9.2
  - docker.io/mesosphere/kubeadm-bootstrap-controller:v1.1.3-d2iq.5
  - docker.io/mesosphere/kubeadm-control-plane-controller:v1.1.3-d2iq.5
  - gcr.io/cluster-api-provider-vsphere/release/manager:v1.2.0
  - gcr.io/k8s-staging-cluster-api/capd-manager:v1.1.3
  - k8s.gcr.io/cluster-api-aws/cluster-api-aws-controller:v1.4.1
  - mcr.microsoft.com/oss/azure/aad-pod-identity/nmi:v1.8.8
  - quay.io/jetstack/cert-manager-cainjector:v1.5.3
  - quay.io/jetstack/cert-manager-controller:v1.5.3
  - quay.io/jetstack/cert-manager-webhook:v1.5.3
  - us.gcr.io/k8s-artifacts-prod/cluster-api-azure/cluster-api-azure-controller:v1.3.2
  - us.gcr.io/k8s-artifacts-prod/cluster-api-gcp/cluster-api-gcp-controller:v1.1.0
  - docker.io/mesosphere/konvoy-image-builder:v1.19.7
  - docker.io/plndr/kube-vip:v0.3.7
  - ghcr.io/kube-vip/kube-vip:v0.3.9
  - gcr.io/k8s-staging-sig-storage/snapshot-controller:v5.0.1
  - public.ecr.aws/ebs-csi-driver/aws-ebs-csi-driver:v1.8.0
  - public.ecr.aws/eks-distro/kubernetes-csi/external-attacher:v3.1.0-eks-1-18-13
  - public.ecr.aws/eks-distro/kubernetes-csi/external-provisioner:v2.1.1-eks-1-18-13
  - public.ecr.aws/eks-distro/kubernetes-csi/external-resizer:v1.1.0-eks-1-18-13
  - public.ecr.aws/eks-distro/kubernetes-csi/external-snapshotter/csi-snapshotter:v5.0.1-eks-1-22-7
  - public.ecr.aws/eks-distro/kubernetes-csi/livenessprobe:v2.2.0-eks-1-18-13
  - public.ecr.aws/eks-distro/kubernetes-csi/node-driver-registrar:v2.1.0-eks-1-18-13
  - mcr.microsoft.com/oss/kubernetes-csi/azuredisk-csi:v1.19.0
  - mcr.microsoft.com/oss/kubernetes-csi/csi-attacher:v3.4.0
  - mcr.microsoft.com/oss/kubernetes-csi/csi-node-driver-registrar:v2.5.0
  - mcr.microsoft.com/oss/kubernetes-csi/csi-provisioner:v3.1.0
  - mcr.microsoft.com/oss/kubernetes-csi/csi-resizer:v1.4.0
  - mcr.microsoft.com/oss/kubernetes-csi/csi-snapshotter:v5.0.1
  - mcr.microsoft.com/oss/kubernetes-csi/livenessprobe:v2.6.0
  - quay.io/external_storage/local-volume-provisioner:v2.4.0
  - gcr.io/cloud-provider-vsphere/csi/release/driver:v2.5.2
  - gcr.io/cloud-provider-vsphere/csi/release/syncer:v2.5.2
  - k8s.gcr.io/sig-storage/csi-attacher:v3.4.0
  - k8s.gcr.io/sig-storage/csi-node-driver-registrar:v2.5.0
  - k8s.gcr.io/sig-storage/csi-provisioner:v3.1.0
  - k8s.gcr.io/sig-storage/csi-resizer:v1.4.0
  - k8s.gcr.io/sig-storage/csi-snapshotter:v5.0.1
  - k8s.gcr.io/sig-storage/livenessprobe:v2.6.0
  - k8s.gcr.io/cloud-provider-gcp/gcp-compute-persistent-disk-csi-driver:v1.7.2
  - k8s.gcr.io/sig-storage/csi-attacher:v3.4.0
  - k8s.gcr.io/sig-storage/csi-node-driver-registrar:v2.5.0
  - k8s.gcr.io/sig-storage/csi-provisioner:v3.1.0
  - k8s.gcr.io/sig-storage/csi-resizer:v1.4.0
  - k8s.gcr.io/sig-storage/csi-snapshotter:v4.0.1
  - gcr.io/cloud-provider-vsphere/cpi/release/manager:v1.23.1
  - docker.io/calico/cni:v3.23.2
  - docker.io/calico/kube-controllers:v3.23.2
  - docker.io/calico/node:v3.23.2
  - docker.io/calico/pod2daemon-flexvol:v3.23.2
  - docker.io/calico/typha:v3.23.2
  - quay.io/tigera/operator:v1.27.7
  - docker.io/bitnami/kubectl:1.23.7
  - us.gcr.io/k8s-artifacts-prod/autoscaling/cluster-autoscaler:v1.23.1
  - k8s.gcr.io/nfd/node-feature-discovery:v0.11.1-minimal
  - nvcr.io/nvidia/gpu-feature-discovery:v0.6.1
  - docker.io/library/busybox:1
  - docker.io/mesosphere/pause-busybox:3.2
  - docker.io/mesosphere/dkp-diagnostics-node-collector:v0.4.3
  - docker.io/mesosphere/kfips:v0.2.0
  - k8s.gcr.io/sig-storage/snapshot-validation-webhook:v3.0.2
  - quay.io/metallb/controller:v0.12.1
  - quay.io/metallb/speaker:v0.12.1
  - k8s.gcr.io/kube-proxy:v1.23.7
  - docker.io/mesosphere/kube-proxy:v1.23.7_fips.0
  - k8s.gcr.io/coredns/coredns:v1.8.4
CODE